local camera = {
	x = 0,
	dest = 0,
	min = 0,
	max = field.width-screen.width,
	speed = 400
}

function moveCamera(n)
	camera.x = n
end

function updateCamera(dt)
	camera.x = math.clamp(camera.min,camera.x,camera.max)
end

function drawCamera()
	love.graphics.translate(-camera.x,0)
end

function getCamera()
	return camera
end